summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJason Zaman <perfinion@gentoo.org>2020-06-08 12:51:48 +0800
committerJason Zaman <perfinion@gentoo.org>2020-06-08 12:55:30 +0800
commit4f0a1a643c32e762f1cf8f07cc14da184788080d (patch)
tree4819521a9bd99c0a3cf4cf1f4cf8d9c6f69a8460
parenteclass: last-rite php-ext-source-r2.eclass (diff)
downloadgentoo-4f0a1a643c32e762f1cf8f07cc14da184788080d.tar.gz
gentoo-4f0a1a643c32e762f1cf8f07cc14da184788080d.tar.bz2
gentoo-4f0a1a643c32e762f1cf8f07cc14da184788080d.zip
sci-libs/tensorflow-estimator: fix compile error
The bazel build step used the incorrect python, so duplicate the sources and build multiple times Closes: https://bugs.gentoo.org/725856 Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Jason Zaman <perfinion@gentoo.org>
-rw-r--r--sci-libs/tensorflow-estimator/tensorflow-estimator-2.2.0-r1.ebuild (renamed from sci-libs/tensorflow-estimator/tensorflow-estimator-2.2.0.ebuild)17
1 files changed, 11 insertions, 6 deletions
diff --git a/sci-libs/tensorflow-estimator/tensorflow-estimator-2.2.0.ebuild b/sci-libs/tensorflow-estimator/tensorflow-estimator-2.2.0-r1.ebuild
index 32a54df07f94..20a13ee1c5ad 100644
--- a/sci-libs/tensorflow-estimator/tensorflow-estimator-2.2.0.ebuild
+++ b/sci-libs/tensorflow-estimator/tensorflow-estimator-2.2.0-r1.ebuild
@@ -43,22 +43,27 @@ src_unpack() {
src_prepare() {
bazel_setup_bazelrc
default
+ python_copy_sources
}
src_compile() {
export JAVA_HOME=$(java-config --jre-home)
- ebazel build //tensorflow_estimator/tools/pip_package:build_pip_package
- ebazel shutdown
+ do_compile() {
+ ebazel build //tensorflow_estimator/tools/pip_package:build_pip_package
+ ebazel shutdown
- local srcdir="${T}/src"
- mkdir -p "${srcdir}" || die
- bazel-bin/tensorflow_estimator/tools/pip_package/build_pip_package --src "${srcdir}" || die
+ local srcdir="${T}/src-${EPYTHON/./_}"
+ mkdir -p "${srcdir}" || die
+ bazel-bin/tensorflow_estimator/tools/pip_package/build_pip_package --src "${srcdir}" || die
+ }
+
+ python_foreach_impl run_in_build_dir do_compile
}
src_install() {
do_install() {
- cd "${T}/src" || die
+ cd "${T}/src-${EPYTHON/./_}" || die
esetup.py install
python_optimize
}